Name: x11-driver-video-v4l
Version: 0.3.0
Release: %mkrel 5
Summary: Xvideo extension port for video overlay
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-v4l-%{version}.tar.xz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.17
BuildRequires: x11-util-macros >= 1.0.1
# (tv): v4l need the extmod module
Requires: x11-server-common
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Conflicts: x11-server < 1.4

%description
v4l is an Xorg driver for video4linux cards. It provides a Xvideo
extension port for video overlay.

%prep
%setup -q -n xf86-video-v4l-%{version}
%apply_patches

%build
autoreconf -vfi
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/v4l_drv.la
%{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_mandir}/man4/v4l.*


%changelog
* Sat Feb 11 2023 tex - 0.3.0-5pclos2023
- rebuild against updates

* Wed Jan 26 2022 tex - 0.3.0-4pclos2022
- rebuild against updates

* Fri Aug 14 2020 tex - 0.3.0-3pclos2020
- rebuild against updates

* Sun Mar 31 2019 tex - 0.3.0-2pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 0.3.0-1pclos2019
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 0.2.0-12.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 0.2.0-12pclos2016
- rebuild new xorg

